﻿using SLRadWindow.Commands;
using System;
using System.ComponentModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace SLRadWindow.ViewModels
{
    public class MainViewModel : ViewModelBase
    {
        public MainViewModel()
        {
            WindowSelectionCommand = new WindowSelectionCommand();
        }

        private string windowIconUriString = "QuestionIcon.png";
        public string WindowIconUriString
        {
            get { return windowIconUriString; }
            set
            {
                windowIconUriString = value; 
                OnPropertyChanged("WindowIconUriString");
            }
        }

        public ICommand WindowSelectionCommand { get; set; }
    }
}
